Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.functors
Class ExceptionTransformer

    java.lang.Object
      org.apache.commons.collections.functors.ExceptionTransformer

All Implemented Interfaces:
  java.io.Serializable, Transformer

    public final class ExceptionTransformer

extends java.lang.Object
implements Transformer, java.io.Serializable

Transformer implementation that always throws an exception.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary
`static Transformer` | `INSTANCE` Singleton predicate instance

Method Summary
`static Transformer` | `getInstance()` Factory returning the singleton instance.
`java.lang.Object` | `transform(java.lang.Object input)` Transforms the input to result by cloning it.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final Transformer INSTANCE

  Singleton predicate instance

Method Detail

### getInstance

    public static Transformer getInstance()

  Factory returning the singleton instance.

  Returns:
    the singleton instance
  Since:
    Commons Collections 3.1

### transform

    public java.lang.Object transform(java.lang.Object input)

  Transforms the input to result by cloning it.

  Specified by:
    `transform` in interface `Transformer`
  Parameters:
    `input` - the input object to transform
  Returns:
    never
  Throws:
    `FunctorException` - always

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.